Application: gvSIG desktop - gvSIG bugs #5194
Datos en Excel. Los carga pero no los visualiza
01/21/2020 07:35 PM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document view

Target version: 2.5.1-3013

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3005 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Tomo un XLS con coordenadas y lo afado como capa a una Vista. Lo afiade, al hacer zoom a la capa va al lugar correcto, se puede
visualizar su tabla...pero no se visualizan los puntos en la Vista.
Adjunto xIs (EPSG:25830)

Associated revisions

Revision 44826 - 03/18/2020 12:17 PM - Joaquin del Cerro Murciano

refs #5194, corregido un problema con la comparacion (mayusculas/minusculas) de nombres de attributo al construir un SubTypeFeatureType cuando
habian campos calculados.

History

#1 - 03/04/2020 12:27 PM - Alvaro Anguix

EPSG del ejemplo: 25830
Anado que si exportamos la Excel crea correctamente el shp de puntos y se visualiza. Por algin motivo lo que no se visualizan son los puntos al estar

cargada como Excel

#2 - 03/17/2020 10:10 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3013
#3 - 03/17/2020 10:13 PM - Joaquin del Cerro Murciano
Notas para mi....

Parece que no esta haciendo caso a getRequiredFieldNames del FeatureAttributeEmulator que usa para construir la geometria y las features de la

vista no tienen los campos X e Y que se requieren para construirla.

#4 - 03/18/2020 12:20 PM - Joaquin del Cerro Murciano
- Assignee set to Joaquin del Cerro Murciano
- Status changed from New to Fixed
Corregido un problema de mayusculas/minusculas al comparar los campos de una tabla para calcular los campos requeridos basados en un campo

calculado.

#5 - 03/26/2020 11:00 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Files
gvSIG.log 71.3 KB 01/21/2020 Alvaro Anguix
coordenadas_levantamiento_parcela_Excel.xls 10.5 KB 01/21/2020 Alvaro Anguix
